
%define debug 0
%define final 1
%define make_cvs 0

# make -libs subpkg
%if 0%{?fedora} > 7
%define libs 1
%endif

# make -extras subpkg
%if 0%{!?rhel:1}
%define extras 1
%endif

# modular X
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define mod_x 1
%endif

Name:    kdegraphics
Summary: K Desktop Environment - Graphics Applications
Epoch:   7
Version: 3.5.9
Release: 2%{?dist}

License: GPLv2
Group:   Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url:     http://www.kde.org
Source:  ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch1: kdegraphics-3.3.0-misc.patch
Patch2: kdegraphics-3.3.1-xorg.patch
Patch3: kdegraphics-3.5.1-warning.patch

#upstream patches
Patch50: kdegraphics-3.5.9-kpdf-crashes.patch

Provides: kdegraphics3 = %{version}-%{release}

Requires: ghostscript
Requires: gocr

%if 0%{?libs}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
%else
Obsoletes: %{name}-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:  %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%endif

BuildRequires: gettext
BuildRequires: kdelibs3-devel >= %{version}
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libungif-devel

%ifnarch s390 s390x
%define kamera 1
BuildRequires: gphoto2-devel
%define kooka 1
BuildRequires: sane-backends-devel
BuildRequires: libusb-devel
%endif

# kgamma
%{?mod_x:BuildRequires: libXxf86vm-devel}
# kuickshow
BuildRequires: imlib-devel
#kfile-plugin
BuildRequires: OpenEXR-devel
# kpdf
BuildRequires: freetype-devel
%if 0%{?fedora} > 5 || 0%{?rhel} > 5 
BuildRequires: poppler-qt-devel
BuildRequires: libpaper-devel
%endif
# ksvg
BuildRequires: fontconfig-devel
BuildRequires: fribidi-devel
BuildRequires: lcms-devel
BuildRequires: libart_lgpl-devel
%{?mod_x:BuildRequires: libXmu-devel}
# kpovmodeler
%if 0%{?extras}
%{?mod_x:BuildRequires: libGL-devel libGLU-devel libXi-devel}
%else
Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}
%endif

%if 0%{?make_cvs}
BuildRequires: automake libtool
%endif

%description
Graphics applications for the K Desktop Environment, including
%{?kamera:* kamera (digital camera support)}
* kcoloredit (palette editor and color chooser)
* kdvi (displays TeX .dvi files)
* kghostview (displays postscript files)
* kiconedit (icon editor)
%{?kooka:* kooka (scanner application)}
* kpdf (displays PDF files)
* kruler (screen ruler and color measurement tool)
* ksnapshot (screen capture utility)
* kview (image viewer for GIF, JPEG, TIFF, etc.)

%package devel
Summary: Development files for %{name} 
Provides: kdegraphics3-devel = %{version}-%{release}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Group: Development/Libraries
%description devel
%{summary}.

%if 0%{?extras}
## FIXME: move more stuff to -extras
%package extras
Summary: Extra applications from %{name} 
Group: Applications/Multimedia
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%description extras
%{summary}, including:
* kfax
* kfaxview
* kpovmodler
%endif

%if 0%{?libs}
%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
Requires: kdelibs3 >= %{version}
# helps multilib upgrades
Obsoletes: %{name} < %{?epoch:%{epoch}:}%{version}-%{release}
# include to be paranoid, installing libs-only is still mostly untested -- Rex
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%description libs
%{summary}.
%endif


%prep
%setup -q
%patch1 -p1 -b .misc
%patch2 -p1 -b .xorg
%patch3 -p1 -b .gcc-warning

#upstream patches
%patch50 -p1 -b .kpdf-crashes

%if ! 0%{?extras}
  DO_NOT_COMPILE=""
  export DO_NOT_COMPILE="$DO_NOT_COMPILE kfax"
  export DO_NOT_COMPILE="$DO_NOT_COMPILE kfaxview"
  export DO_NOT_COMPILE="$DO_NOT_COMPILE kpovmodeler"
%endif

%if %{make_cvs}
   make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
%if "%{?debug}" != "1"
   --disable-debug \
   --disable-warnings \
%endif%
%if 0%{?final}
   --enable-final \
%endif
   --includedir=%{_includedir}/kde \
   %{!?kamera:--without-kamera} \
   --with-xinerama

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# locale's
%find_lang %{name} || touch %{name}.lang
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done
fi

# rpmdocs
for dir in k* ; do
  for file in AUTHORS ChangeLog README TODO ; do
    if test -s "$dir/$file" ; then
       install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
       # exclude for RHEL
%if ! 0%{?extras}
       [ $dir != kfax -a $dir != kfaxview -a $dir != kpovmodeler ] && \
%endif
       echo "%doc rpmdocs/$dir/" >> %{name}.lang
    fi
  done
done

# unpackaged files
# omit kpovmodeler-devel files (for now) -- Rex
rm -f %{buildroot}/libkpovmodeler.so


%clean
rm -rf %{buildroot}


%post
%{!?libs:/sbin/ldconfig}
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{!?libs:/sbin/ldconfig}
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%if 0%{?libs}
%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig
%endif

%if 0%{?extras}
%post extras
/sbin/ldconfig ||:
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun extras
/sbin/ldconfig ||:
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files extras
%defattr(-,root,root,-)

# kfax
%doc rpmdocs/kfax/
%{_bindir}/kfax
%{_datadir}/applications/kde/kfax.desktop
%{_datadir}/apps/kfax/
%{_datadir}/icons/hicolor/??x??/apps/kfax.png
%{_datadir}/icons/hicolor/scalable/apps/kfax.svgz

# kfaxview
%{_bindir}/kfaxview
%{_libdir}/libkfaximage.so
%{_libdir}/libkfaximage.la
%{_libdir}/kde3/kfaxviewpart.*
%{_datadir}/applications/kde/kfaxview.desktop
%{_datadir}/apps/kfaxview/
%{_datadir}/icons/hicolor/??x??/apps/kfaxview.png
%{_datadir}/icons/hicolor/scalable/apps/kfaxview.svgz
%{_datadir}/services/kfaxmultipage.desktop
%{_datadir}/services/kfaxmultipage_tiff.desktop

# kpovmodeler
%doc rpmdocs/kpovmodeler/
%doc %{_docdir}/HTML/en/kpovmodeler/
%{_bindir}/kpovmodeler
%{_libdir}/libkpovmodeler.so.*
%{_libdir}/libkpovmodeler.la
%{_libdir}/kde3/libkpovmodelerpart.*
%{_datadir}/applications/kde/kpovmodeler.desktop
%{_datadir}/apps/kpovmodeler/
%{_datadir}/icons/crystalsvg/*/mimetypes/kpovmodeler_doc.*
%{_datadir}/icons/hicolor/*/apps/kpovmodeler.*
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%doc rpmdocs/*

%if 0%{?extras}
# kfax
%exclude %{_bindir}/kfax
%exclude %{_datadir}/applications/kde/kfax.desktop
%exclude %{_datadir}/apps/kfax/
%exclude %{_datadir}/icons/hicolor/*/apps/kfax.*

# kfaxview
%exclude %{_bindir}/kfaxview
%exclude %{_libdir}/libkfaximage.so
%exclude %{_libdir}/libkfaximage.la
%exclude %{_libdir}/kde3/kfaxviewpart.*
%exclude %{_datadir}/applications/kde/kfaxview.desktop
%exclude %{_datadir}/apps/kfaxview/
%exclude %{_datadir}/icons/hicolor/*/apps/kfaxview.*
%exclude %{_datadir}/services/kfaxmultipage.desktop
%exclude %{_datadir}/services/kfaxmultipage_tiff.desktop

# kpovmodeler
%exclude %{_docdir}/HTML/en/kpovmodeler/
%exclude %{_bindir}/kpovmodeler
%exclude %{_libdir}/libkpovmodeler.*
%exclude %{_libdir}/kde3/libkpovmodelerpart.*
%exclude %{_datadir}/applications/kde/kpovmodeler.desktop
%exclude %{_datadir}/apps/kpovmodeler/
%exclude %{_datadir}/icons/crystalsvg/*/mimetypes/kpovmodeler_doc.*
%exclude %{_datadir}/icons/hicolor/*/apps/kpovmodeler.*
%endif

%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/Graphics/*kruler.desktop
%{_datadir}/apps/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/config*/*
%{_datadir}/service*/*
%{_datadir}/mimelnk/*/*
%{_libdir}/libkdeinit_*.so
%{_libdir}/kde3/*

%if 0%{?libs}
%files libs
%defattr(-,root,root,-)
%exclude %{_libdir}/libkfaximage.la
%exclude %{_libdir}/libkpovmodeler.la
%exclude %{_libdir}/libkpovmodeler.so.*
%endif
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/lib*.so
#exclude %{_libdir}/libkpovmodeler.so
%exclude %{_libdir}/libkfaximage.so
%exclude %{_libdir}/libkdeinit_*.so


%changelog
* Tue Mar 18 2008 Lukáš Tinkl <ltinkl@redhat.com> 7:3.5.9-2
- fix various crashes in kpdf (#437965)

* Fri Feb 15 2008 Rex Dieter <rdieter@fedoraproject.org> 7:3.5.9-1
- kde-3.5.9
- cleanup conditionals: extras(rhel), modular-x

* Wed Jan 30 2008 Than Ngo <than@redhat.com> - 7:3.5.8-8
- fix #350071, kooka requires gocr

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-7
- CVE-2007-4352 CVE-2007-5392 CVE-2007-5393 (#372581)

* Mon Oct 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-5
- -libs; Requires: %%name (multilib upgrades again)
- scriptlets fixes

* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-4
- -libs: Obsoletes: %%name ... to help out multilib upgrades

* Tue Oct 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-3
- -libs: exclude libkpovmodeler
- -libs conditional (f8+)

* Mon Oct 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-2
- respin (for openexr-1.6.0)
- -libs: %%post/%%postun -p /sbin/ldconfig

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-1
- kde-3.5.8
- libs subpkg (more multilib friendly)

* Wed Sep 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.7-4
- respin (for poppler)

* Mon Aug 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.7-3
- (Build)Requires: kdelibs3(-devel)
- Provides: kdegraphics3(-devel)

* Mon Aug 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.7-2
- CVE-2007-3387 (#251509, #251511)
- License: GPLv2

* Mon Jun 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.7-1
- 3.5.7

* Fri May 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.6-3
- integrate former kdegraphics-extras bits (kuickshow, OpenEXR kfile plugin)
- drop unecessary/upstreamed kpdf-xft patch4 (kde bug #123417)
- prune pre-3.0 changelog

* Mon Mar 12 2007 Than Ngo <than@redhat.com> - 7:3.5.6-2.fc7
- cleanup

* Tue Feb 07 2007 Than Ngo <than@redhat.com> 7:3.5.6-1.fc7
- 3.5.6

* Tue Sep 12 2006 Than Ngo <than@redhat.com> 7:3.5.4-2
- apply upstream patches
   fix #113635, kpdf crash
   fix #133910, Don't crash when trying to open a DVI file that has been only partially written

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 7:3.5.4-1
- rebuild

* Mon Jul 24 2006 Tim Powers <timp@redhat.com> - 7:3.5.4-0.pre2
- rebuild

* Mon Jul 24 2006 Petr Rockai <prockai@redhat.com> - 7:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 7:3.5.3-3
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.3-2.1
- rebuild

* Fri Jun 23 2006 Than Ngo <than@redhat.com> 7:3.5.3-2
- add missing kuickshow, printnodetest, svgdisplay, xf86gammacfg #196067

* Sat Jun 03 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 7:3.5.2-1
- update to 3.5.2

* Tue Mar 14 2006 Than Ngo <than@redhat.com> 7:3.5.1-4
- fix build problem with gphoto2

* Thu Feb 16 2006 Than Ngo <than@redhat.com> 7:3.5.1-3
- apply patch to fix kpdf build with modular-X again #173836

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Than Ngo <than@redhat.com> 7:3.5.1-2
- apply patch to fix buffer overflow in kpdf, CVE-2006-0301 (#179425)
- apply patch to fix gcc warning (#169189)

* Sat Feb 04 2006 Than Ngo <than@redhat.com> 7:3.5.1-1 
- 3.5.1

* Mon Jan 16 2006 Than Ngo <than@redhat.com> 7:3.5.0-3
- apply patch to fix CAN-2005-3193, #177908

* Mon Dec 12 2005 Than Ngo <than@redhat.com> 7:3.5.0-2
- apply patch to fix modula-X problem

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Than Ngo <than@redhat.com> 7:3.5.0-1
- 3.5

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 7:3.4.92-1
- update to 3.5 Beta 2

* Thu Oct 13 2005 Matthias Clasen <mclasen@redhat.com> 7:3.4.91-2
- don't use freetype internals

* Wed Oct 05 2005 Than Ngo <than@redhat.com> 7:3.4.91-1
- update to 3.5 Beta1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 7:3.4.2-5
- fix uic build problem

* Thu Sep 15 2005 Than Ngo <than@redhat.com> 7:3.4.2-4 
- add BuldRequires: libieee1284 #168356

* Mon Sep 05 2005 Than Ngo <than@redhat.com> 7:3.4.2-3
- backport CVS patch to fix kpdf crash when trying to
  expand sub-bookmarks in the bookmark tree #167390

* Wed Aug 31 2005 Than Ngo <than@redhat.com> 7:3.4.2-2
- backport CVS patch to fix rendering problem in kpdf
- backport CVS patch to fix bug #kde110171
- backport CVS patch to fix bug #kde110034, #kde110000
- backport CVS patch to fix crash in kpdf

* Thu Aug 11 2005 Than Ngo <than@redhat.com> 7:3.4.2-1
- update to 3.4.2

* Mon Jul 04 2005 Than Ngo <than@redhat.com> 7:3.4.1-2
- apply gcc4 workaround to fix #162430

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 7:3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Wed Mar 30 2005 Florian La Roche <laroche@redhat.com>
- try rebuilding

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.1
- rebuilt with gcc-4

* Sat Feb 26 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.0
- KDE-3.4.0 rc1

* Tue Feb 22 2005 Than Ngo <than@redhat.com> 7:3.3.92-0.1
- KDE-3.4 beta2

* Sat Feb 12 2005 Than Ngo <than@redhat.com> 7:3.3.2-0.4 
- backport from CVS for working with qt-immodule

* Thu Feb 10 2005 Than Ngo <than@redhat.com> 7:3.3.2-0.3
- Applied patch to fix CAN-2005-0064
- Applied Steve cleanup patch file

* Thu Dec 23 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.2
- Applied patch to fix CAN-2004-112

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.1
- update to 3.3.2
- remove kdegraphics-3.3.1-tiff.patch, it's included in 3.3.2

* Fri Nov 19 2004 Than Ngo <than@redhat.com> 7:3.3.1-4
- fix xf86gammacfg to work with xorg.conf

* Mon Nov 01 2004 Than Ngo <than@redhat.com> 7:3.3.1-3
- rebuilt

* Thu Oct 28 2004 Than Ngo <than@redhat.com> 7:3.3.1-2.1
- add patch from 3_3_BRANCH

* Fri Oct 15 2004 Than Ngo <than@redhat.com> 7:3.3.1-2
- fix kfax to use system libtiff

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 7:3.3.1-1
- update to 3.3.1

* Fri Oct 08 2004 Than Ngo <than@redhat.com> 7:3.3.0-3
- fix typo in buildrequires #135007

* Thu Sep 23 2004 Than Ngo <than@redhat.com> 7:3.3.0-2
- only show kcmkmrml in KDE
- set variables before use

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 7:3.2.3-1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.4
- fix typo bug, _smp_mflags instead smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 7:3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0
- add prereq /sbin/ldconfig    

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Thu Sep 04 2003 Than Ngo <than@redhat.com> 7:3.1.3-4
- disable kpovmodeler temporary. waiting for freeglut

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 7:3.1.3-3
- fixed build problem with new gcc

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 7:3.1.3-2
- rebuilt

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- disable kpovmodeler temporary. waiting for freeglut
- built with gcc-3.3-12
- remove excludearch s390/s390x

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 7:3.1.2-3.1
- added epoch for versioned requires where needed
- built for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 20 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Tue Apr 22 2003 Than Ngo <than@redhat.com> 3.1.1-2
- PS/PDF file handling vulnerability

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-3
- get rid of gcc path from dependency_libs

* Wed Feb 19 2003 Elliot Lee <sopwith@redhat.com>
- BuildRequires: glut-devel if kpovmodeler

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove excludearch ia64
- remove some unneeded macros

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- rc6
- exclude ia64

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- fix desktop file issues
- get rid of su packages

* Sun Nov 24 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sun Aug 25 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- compile on mainframe

* Wed Aug 14 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change spec file to work for more archs

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop files issues (bug #71018)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- rename libraries

* Mon Apr  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix libkviewpart.* duplication (kview and kviewshell, #62749)
- Shut up rpmlint

* Fri Mar 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Obsolete the old monolithic package
- Fix build with gcc 3.1

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-2
- fix deps problem

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

